// ukazka http serveru
package main

import (
	"fmt"
	"net/http"
)

func helloHandler(w http.ResponseWriter, r *http.Request) {
	fmt.Fprintf(w, "Hello, World!")
}

func httpExample() {
	fmt.Println("\n---HTTP---")
	http.HandleFunc("/hello", helloHandler)
	fmt.Println("Server is running at http://localhost:8888")
	http.ListenAndServe(":8888", nil)
}
