// obycejny zamek a jeho pouziti pro sdileny citac
package main

import (
	"fmt"
	"math/rand/v2"
	"sync"
	"time"
)

var mutex sync.Mutex //zamek
var counter int      //sdileny citac

func increment() {
	dur := rand.Int() % 3
	time.Sleep(time.Duration(dur) * time.Second)
	mutex.Lock()
	defer mutex.Unlock() //defer se provede pred opustenim funkce
	counter++
}

func mutexExample() {
	fmt.Println("\n---MUTEX---")

	count := 10
	for i := 1; i <= count; i++ {
		go increment()
	}
	time.Sleep(4 * time.Second)
	fmt.Printf("Mutex: Counter after %d increments: %d", count, counter)

}
