// ukazka race detektoru
// pouziti: go run -race main.go race.go
// na vystupu uvidite moznou chybu soubehu pro praci s promenou count
package main

import (
	"fmt"
	"sync"
)

func raceExample() {
	fmt.Println("\n---DATA RACE---")

	var wg sync.WaitGroup
	var count int

	for i := 0; i < 5; i++ {
		wg.Add(1)
		go func() {
			defer wg.Done()
			count++ //sdileny counter bez synchronizace - chyba soubehu?
		}()
	}

	wg.Wait()
	fmt.Println("Count:", count)
}
